Page MenuHomePhabricator

Wiki Content Translation Tool Research Project
Closed, ResolvedPublic

Description

Profile Information
Name: Doris Zhou
IRC nickname on Freenode: doriszhou1224
Location (country or state): Montreal, QC, Canada
Typical working hours: EST Monday-Sunday (8 am - 10am; 2pm-8pm)

Synopsis
This project will start by looking at the data for Wiki pages in the French, Mandarin, and English languages and will compare the types of articles translated. Overall, the purpose of this project is to look at the translator tool and analyze from both a qualitative and quantitative perspective how it affects the way articles are translated. Research questions will be formulated as the project becomes more underway. Preliminary questions of interest now include a more robust analysis of the kinds of articles (if indeed there are any preferences) that use the translation tool.
Mentor(s): Isaac and Jonathan

Deliverables
A preliminary timeline: first 2-3 weeks familiarizing with the data/API/environment/tools
Months of June-August: much more in-depth investigation of research questions

Participation
I will try to meet with my mentors once every week and ensure to ask as many questions as possible. We will use an online messaging app, most likely Google Hangouts

About Me
I am in the process of completing a Bachelor of Science in Comp Sci and Statistics
How I heard about this program: I was looking up open source projects to become involved in and I read in a website somebody recommended Outreachy.
I do not have other commitments.
I am not applying to Google Summer Code
Making this project happen means to me that I will hopefully be able to contribute meaningful research on the content translator tool. For myself personally, I would like to become more proficient in python, have gained experience in applying coding to a real world problem, and to have learned about research methods.
Past Experience
https://paws-public.wmflabs.org/paws-public/User:Doriszhou1224/Qualitative%20T218003.ipynb

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2019, 5:03 AM

Hi @Doriszhou1224, I guess this is related to T217699 ? The format above confused me a bit, at first I thought that it is an application for Outreachy but https://www.mediawiki.org/wiki/Outreachy/Round_18 implies that your project is accepted?

Isaac added a subscriber: Isaac.May 21 2019, 7:21 PM

hey @Aklapper : yes, the project is accepted. we didn't require the phabricator submission when Outreachy applications were due because some of the students were unable to create phabricator accounts at the time. so instead we just had Doris create this when she was accepted for tracking going forward. thanks for checking!

Isaac updated the task description. (Show Details)May 21 2019, 7:21 PM
Isaac added a subscriber: Capt_Swing.

Hello, this is a quick summary of what has been done for this project in the past two weeks:

Week 1: May 20-25:
Read published articles about general subjects such as on Wikipedia, machine translations, and the CX tool

Week 2: May 28-June:
Starting to collect data and brainstorming about what direction this project will take. Decided to look at articles from En-Fr and En-Zh and to first look at articles relating to the military history of China/France

Completed up to June 24th:
-Retrieved ~100 articles from EN-ZH (English to Mandarin) and EN-FR (English to French) and features.
-Automating features such as pageviews/language links/number of editors/number of sections translated.

  • Completed language links

-In progress: sections comparison between translated and source articles, page views.

June 24-June 29th:
-Coding on section comparison between translated and source articles

Isaac moved this task from Staged to In Progress on the Research board.Jul 1 2019, 5:04 PM

Until July 15:

  • Still working on the section alignment comparison function. Plan to make the output organization more efficient and to better handle different match cases.
  • Starting qualitative write-up, a summary of some observations.

Congratulations on completing the project! If there isn't anything remaining in your proposal to address, feel free to close this task. Before you do so, make sure your project is listed here https://www.mediawiki.org/wiki/Outreachy/Past_projects and has the following information: Student name, Mentors, Relevant links and Outcomes (in not more than two lines). Thank you for your participation!

Hi, thank you! I just added the information on the site.

@srishakatux not sure how to close a task?

@srishakatux not sure how to close a task?

Above the comment section there is an "Add action" option that allows to change the status to "resolved".
As the task gets closed it would be great to include links to the outcomes. thanks!

Isaac added a comment.Wed, Sep 4, 5:09 PM

Thanks @Pginer-WMF ! @Doriszhou1224 I'll let you have the satisfaction of closing this :)

As the task gets closed it would be great to include links to the outcomes. thanks!

Thanks for the reminder -- the project is also more fully documented on meta: https://meta.wikimedia.org/wiki/Research:Evaluating_Success_for_Content_Translation

Doriszhou1224 closed this task as Resolved.Wed, Sep 11, 6:27 PM